Available in VPC
Remove the specified item from thumbnails registered to a person.
We also provide the Remove person thumbnail API, which offers the same feature using the POST method. Use the POST method if your HTTP client environment does not support including a request body in a DELETE request. The request body and response formats are identical for both APIs.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| DELETE | /api/v1/workspaces/{workspace_name}/persons/{person_id}/person-thumbnail |
Request headers
For information about the request headers common to all Media Intelligence APIs, see Media Intelligence request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
workspace_name |
String | Required | Workspace name |
person_id |
String | Required | Person ID
|
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
thumbnailIds |
Array[Integer] | Required | Lists thumbnail IDs to be removed
|
Request example
The request example is as follows:
curl --location --request DELETE 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/persons/1001/person-thumbnail' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"thumbnailIds": [1234]
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
code |
String | - | API processing result code |
message |
String | - | API processing result message |
result |
Object | - | Person thumbnail list object |
result.personId |
Integer | - | Person ID |
result.thumbnailList |
Array | - | Final list of thumbnails registered for the person: thumbnailList
|
thumbnailList
The following describes thumbnailList.
| Field | Type | Required | Description |
|---|---|---|---|
id |
Integer | - | Thumbnail ID |
url |
String | - | Thumbnail image URL (presigned URL) |
isPrimaryThumbnail |
Boolean | - | Whether it is the main thumbnail
|
thumbnailSource |
String | - | Thumbnail registration method
|
Response status codes
For information about the response status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.
Response example
The response example is as follows:
{
"code": "0",
"message": "success",
"result": {
"personId": 1001,
"thumbnailList": [
{
"id": 4321,
"url": "https://kr.object.ncloudstorage.com/.../jiho2.jpg?...",
"isPrimaryThumbnail": true,
"thumbnailSource": "MANUAL"
}
]
}
}